Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026238
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2014-04-10 13:042014-10-01 16:22
ReporterguillermogilView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revisiond1c9b351823b
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSLinux 64 bitDatabasePostgreSQLJava version
OS Version12.04Database version9.1Ant version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browserGoogle Chrome
ModulesCore
Regression levelPre packaging ( pi )
Regression date2014-03-21
Regression introduced in releasemain
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/06c118995adc10ec206f039743ec34585bb34ac6 [^]
Triggers an Emergency PackNo
Summary

0026238: Property field on Defined Selector Field tab is not working

DescriptionProperty field on Defined Selector Field tab does not bring any data.
Steps To Reproduce1.- Create a new reference with parent reference OBUISEL_Selector Reference
2.- Create a new Defined Selector
3.- Create a new Defined selector Field and write on Property field the text: 'id'

Property field does not show any data.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00260433.0PR14Q2 closedalostale blur triggers selector ds request without pagination 
related to defect 0026240 closedalostale NPE when filtering selectors based on datasource 
related to defect 0026432 closedalostale can't select a computed column for a property field. 

-  Notes
(0066312)
alostale (developer)
2014-04-10 14:15

This issue is introduced by fix for 0026043. Before that fix, while filtering in a drop down list, entered value was sent as actual value, after it, it is only sent in case it is a valid value in the drop down list.

ModelDataSoruceService was incorrectly checking for null (it should be "null") for filtering. This also caused no value shown in the drop down when no filter was typed.
(0066313)
alostale (developer)
2014-04-10 14:19
edited on: 2014-04-10 14:19

Fix for this issue solves reported problem and also empty drop down list when it is opened without having typed any filtering.

(0066314)
hgbot (developer)
2014-04-10 14:21

Repository: erp/devel/pi
Changeset: d1c9b351823bf1f565063d8f81079a79a6467c6c
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 10 14:21:17 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d1c9b351823bf1f565063d8f81079a79a6467c6c [^]

fixed bug 26238: empty Property field selector on Defined Selector Field tab

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ModelDataSourceService.java
---
(0066320)
hgbot (developer)
2014-04-10 16:01

Repository: erp/devel/pi
Changeset: 0c61a782148bcfa754ed151ead470053e03999f3
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 10 16:00:55 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0c61a782148bcfa754ed151ead470053e03999f3 [^]

related to issue 26238: added test case

---
M src-test/org/openbravo/test/AllWebserviceTests.java
A src-test/org/openbravo/test/datasource/SelectorFieldPropertySelectorDSTest.java
---
(0066347)
hgbot (developer)
2014-04-11 10:44

Repository: erp/devel/pi
Changeset: ded41677a2143292a6f6817790c471447fd9689b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 11 10:43:41 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ded41677a2143292a6f6817790c471447fd9689b [^]

related to issue 26238: fixed compund properties

  Filtering by compound properties was not working fine.

  Changed the way criteria is applied: before value in the field prevailed over
  cuerrent criteria, now criteria has precedence over value.

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ModelDataSourceService.java
---
(0066351)
AugustoMauch (developer)
2014-04-11 11:14

Code reviewed and verified in pi@ded41677a214
(0066916)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test
(0066918)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test
(0066922)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-04-10 13:04 guillermogil New Issue
2014-04-10 13:04 guillermogil Assigned To => alostale
2014-04-10 13:04 guillermogil Web browser => Google Chrome
2014-04-10 13:04 guillermogil Modules => Core
2014-04-10 13:04 guillermogil Triggers an Emergency Pack => No
2014-04-10 14:12 alostale Review Assigned To => AugustoMauch
2014-04-10 14:12 alostale Web browser Google Chrome => Google Chrome
2014-04-10 14:12 alostale Regression level => Pre packaging ( pi )
2014-04-10 14:12 alostale Regression date => 2014-03-21
2014-04-10 14:12 alostale Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/06c118995adc10ec206f039743ec34585bb34ac6 [^]
2014-04-10 14:15 alostale Note Added: 0066312
2014-04-10 14:15 alostale Relationship added related to 0026043
2014-04-10 14:19 alostale Note Added: 0066313
2014-04-10 14:19 alostale Note Edited: 0066313 View Revisions
2014-04-10 14:21 hgbot Checkin
2014-04-10 14:21 hgbot Note Added: 0066314
2014-04-10 14:22 hgbot Status new => resolved
2014-04-10 14:22 hgbot Resolution open => fixed
2014-04-10 14:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d1c9b351823bf1f565063d8f81079a79a6467c6c [^]
2014-04-10 14:33 alostale Relationship added related to 0026240
2014-04-10 16:01 hgbot Checkin
2014-04-10 16:01 hgbot Note Added: 0066320
2014-04-11 10:44 hgbot Checkin
2014-04-11 10:44 hgbot Note Added: 0066347
2014-04-11 11:14 AugustoMauch Note Added: 0066351
2014-04-11 11:14 AugustoMauch Status resolved => closed
2014-04-11 11:14 AugustoMauch Fixed in Version => PR14Q2
2014-04-30 15:45 alostale Relationship added related to 0026432
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066916
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066918
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066922
2014-10-01 16:22 plujan Web browser Google Chrome => Google Chrome
2014-10-01 16:22 plujan Regression introduced in release => main


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker